
<!--
    This is the template. It acts as the base for all the website pages since all pages have
    nav and footer in common.
-->

<!DOCTYPE html>
<html lang="it">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>C4L - Sign Up</title>
        <link rel="stylesheet" type="text/css" href="./css/style.css" />
    <script src="./javascript/jquery-3.4.1.min.js"></script>
    <script src="./javascript/menu.js"></script>
    <script src="./javascript/banner.js"></script>
</head>
<body>
  <nav id="header-nav">
	<div class="nav-bar-container">
		<ul>
			<li id="sitename">
				<a href="index.php" ><img src="./img/icons/logo.png" alt="homepage" /></a>
			</li>
      <li id="menu"><button id="menu-toggle-btn" class="menu-icon-off btn-transparent"></button></li>
      <li id="separator"></li>
      <li id="notif"><button id="notif-toggle-btn" class="notif-icon-off btn-transparent"></button></li>
			<li id="cart"><a href="link" ><img src="./img/icons/cart.png" alt="cart" /></a></li>
		</ul>
	</div>
	<div id="toggle-menu-container">
		<ul>
                    <li><a href="login.php">Accedi</a></li>            			<li><a href="todo">Tutti i corsi</a></li>
			<li><a href="todo">Pasticceria</a></li>
			<li><a href="todo">Cucina italiana</a></li>
			<li><a href="todo">Cucina internazionale</a></li>
			<li><a href="todo">Degustazione</a></li>
            <li>
                            </li>
		</ul>
	</div>
  <div id="toggle-notif-container">
  <!-- utility values -->
  <input type="hidden" id="notifYN" value=N>
  <!-- -------------- -->
		<ul>
        <li><a href="#notif-none"> Non ci sono notifiche </a> </li>
    		</ul>
	</div>
  </nav>
  
  <main>
  <section id="signup">
    <script src="./javascript/sha512.js"></script>
    <script src="./javascript/formUtility.js"></script>
    <script src="./javascript/registration.js"></script>
    <link rel="stylesheet" type="text/css" href="./css/login-signup.css" />
        
    <form action=# method="post" name="registration" onsubmit="return signUpValidation()">
        <h1>Crea il tuo account</h1>
        <label for="name">Nome</label>
        <input type="text" name="name" id="name"><br>
        <span id="name_error" class="error"></span>

        <label for="email">E-mail</label>
        <input type="text" name="email" id="email"><br>
        <span id="email_error" class="error"></span>

        <label for="password">Password</label>
        <input type="password" name="password" id="password" autocomplete="off">
        <p>Usa almeno 8 caratteri</p>
        <label for="v-password">Verifica password</label>
        <input type="password" name="v-password" id="v-password" autocomplete="off"><br>
        <span id="password_error" class="error"></span>
        <br>
        <p>Scegli che tipo di account vuoi fare:</p>
        <fieldset>
        <input type="radio" name="type" value="normal" id="normal" checked>
        <label class="type" for="normal">Cliente</label>
        <input type="radio" name="type" value="organiser" id="organiser">
        <label class="type" for="organiser">Organizzatore</label>
    </fieldset>

        <input type="submit" value="Registrati">
        <p>Registrandoti dichiari di aver letto e accetti integralmente le nostre Condizioni di utilizzo e<!-- 
        -->la nostra Informativa sulla privacy.</p>
        </form>
</section>  </main>
            
  <footer>
      <div class="socials">
          <p>Connect with Cook 4 Life</p>
          <a href="#facebook"><img src="./img/icons/facebook.png" alt="facebook" class="footer-icon" /></a>
          <a href="#twitter"><img src="./img/icons/twitter.png" alt="twitter" class="footer-icon" /></a>
          <a href="#instagram"><img src="./img/icons/instagram.png" alt="instagram" class="footer-icon" /></a>
      </div>
      <div class="footer-links">
          <ul>
              <li><a href="#privacy">Informativa sulla privacy</a></li>
              <li><a href="#tos">Condizioni di utilizzo</a></li>
              <li><a href="#contacts">Contatti</a></li>
          </ul>
      </div>
      <p>Copyright &copy; 2020</p>
  </footer>
</body>
</html>